> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmeasure.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Error Responses

Error responses from the Measure API have the following fields

* `error_message` The description for the error
* `error_type` The type of error such as `auth_error`, `validation_error` etc. Please see a full list of error types below.
* `error_code` The error code for the type of issue that can be referenced for nuanced error handling
* `error_status` The same as the HTTP status code for the response

The error response can have additional fields that have more details about the error. For example, the `validation_errors` field is populated for errors with type `validation_error`

```json theme={null}
{
    "error_message": "Request body does not contain all required information",
    "error_type": "validation_error",
    "error_status": 400,
    "validation_errors": [
        {
            "field": "config_items",
            "message": "config_items is required"
        }
    ]
}
```

Here's more details on the different status codes and error types with the Measure API

| Status Codes | Error Type | Description |
| - | - | - |
| 400 | `request_error` or `validation_error` | Bad request parameters or validation failure |
| 401 | `auth_error` | Auth token failure or unauthorized access to a resource |
| 403 | `auth_error` | Forbidden access to a resource |
| 404 | `request_error` | Resource not found |
| 409 | `idempotency_error` | Conflicting requests with the same idempotency key |
| 429 | `request_error` | Rate limiting has occurred |
| 500 | `request_error` | Internal server error within Measure |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.